--TEST--
link_003: Append links in a specific order
--FILE--
<?php
 
$dir = dirname(__FILE__);
require $dir . '/../' . 'MARC.php';

class Tester extends MARC_Link {
    protected $_my_number;

    function __construct($tester, $num) {
        $this->_my_number = $num;
        parent::__construct($tester);
    }

    function getNumb() {
        return $this->_my_number;
    }

    function setNumb($numb) {
        $this->_my_number = $numb;
    }
}
$xyy = new MARC_Linked_List();
$tester = new Tester(null, 1);

// add initial link in the list
$xyy->addLink($tester);
print $tester->getNumb() . "\n";
$tester2 = new Tester(null, 2);

// add after initial link
$xyy->addLink($tester2, MARC_LINK_ADD_AFTER, $tester);
print $tester2->getNumb() . "\n";
$tester3 = new Tester(null, 3);

// add after initial link, bumping #2 up
$xyy->addLink($tester3, MARC_LINK_ADD_AFTER, $tester);
print $tester3->getNumb() . "\n";
$tester4 = new Tester(null, 4);

// add after link #3, bumping #2 up again
$xyy->addLink($tester4, MARC_LINK_ADD_AFTER, $tester3);
print $tester4->getNumb() . "\n";

print "\n";

$link = $xyy->current();
print $link->getNumb();
print "\n";

// test iteration with while()
while ($link = $xyy->next()) {
    print $link->getNumb();
    print "\n";
}
$link = $xyy->rewind();
print "\n";
print $link->getNumb();
print "\n";

// test foreach() iteration
foreach ($xyy as $bull) {
  print $bull->getNumb();
}
?>
--EXPECT--
1
2
3
4

1
3
4
2

1
1342
